void schreibeDaten(String strHBand)
{
  // Unterfunktion zum schreiben der Daten im ADIF Format auf SD Karte
  //
  String strHPraefix;                                  // Anlegen der Hilfsvariable Präfix welche den Rückgabewert der Funktion Präfix erhält
  char chrHZahl, chrHSuffix1, chrHSuffix2, chrHSuffix3;// Anlegen der Hilfsvariablen Zahl und Suffix1-3 welche die Rückgabewerte der Funktionen Suffix und Zahl erhalten
  //
  // Initialisieren aller Hilfsvariablen mit einem Leerzeichen, welche bei Bedarf mit .trim() entfernt werden.
  strHPraefix = " "; // Strings immer mit Doppelten Anführungszeichen einschließen
  chrHZahl = ' ';    // einzelne Zeichen nur mit Einfachen Anführungszeichen einschließen sonst Compilerfehler
  chrHSuffix1 = ' ';
  chrHSuffix2 = ' ';
  chrHSuffix3 = ' ';
  //
  strHPraefix = praefix(0);     // Aufruf der Funktion Präfix zur Abfrage des Präfix, wird immer Ausgeführt (LCD Position Stelle 0)
  //
  chrHZahl = zahl(2);           // Aufruf der Funktion Zahl zur Abfrage der Zahl im Rfz, wird immer Ausgeführt(LCD Position 2, da Präfix zweistellig)
  //
  chrHSuffix1 = suffix(3);      // Aufruf der Funktion Suffix(erste Stelle) im Rfz, wird immer Ausgeführt(LCD Position 3)
  //
  if ( boSpeichern == true) {
    //
    chrHSuffix2 = suffix(4);    // Aufruf der Funktion Suffix(zweite Stelle) im Rfz,
    // wird nur Ausgeführt wenn nicht mit Enter in Funktion Taster abgebrochen(LCD Position 4)
  }
  //
  if (boSpeichern == true) {
    //
    chrHSuffix3 = suffix(5);    // Aufruf der Funktion Suffix(zweite Stelle) im Rfz,
    // wird nur Ausgeführt wenn nicht mit Enter in Funktion Taster abgebrochen(LCD Position 4)
  }
  //
  //erstellen des ADIF Datensatz für ein komplettes QSO
  String strHLaenge = strStunde + strMinute;             // Hilfsvariable zur Ermittlung der Stringlänge hier von Stunde und Minute (sollte immer 4 sein HHMM)
  //
  String strHZeit = "<time_on:" + String(strHLaenge.length()) + ">" + strStunde + strMinute;         // ADIF String Zeit Beispiel <time_on:4>1034
  //
  strHLaenge = strJahr + strMonat + strTag;              // Hilfsvariable zur Ermittlung der Stringlänge hier vom gesamten Datum (sollte immer 8 sein YYYYMMDD)
  //
  String strHDatum = "<qso_date:" + String(strHLaenge.length()) + ">" + strJahr + strMonat + strTag; // ADIF String Datum Beispiel <qso_date:8>20140821
  //
  strHLaenge = strHPraefix + chrHZahl + chrHSuffix1 + chrHSuffix2 + chrHSuffix3; // Ermittlung der Stringlänge des ges. Rfz (kann zwischen 4 und 6 liegen)
  //
  strHLaenge.trim();  // wenn ein Rfz nur ein oder zwei Suffixe enthält werden hier die oben vorbelegten Leerzeichen in den Suffixstellen 2 und 3 entfernt
  //
  String strHCall = "<call:" + String(strHLaenge.length()) + ">" + strHLaenge; //ADIF String Call Beispiel <call:6>DJ9ZZZ od <call:4>DL1A
  //
  // Schreiben der ADIF Einzeltags auf die SD-Karte
  myLog = SD.open("dj9zzz.adi", FILE_WRITE);  // öffnen der Datei zum schreiben
  myLog.print(strHCall);                      // schreibe den String ADIF  Callsign
  myLog.print(strHBand);                      // schreibe den String ADIF  Band 2m oder 70cm
  myLog.print(F("<mode:2>FM"));                  // schreibe den String ADIF  Mode hier immer nur FM
  myLog.print(strHDatum);                     // schreibe den String ADIF  qso_date
  myLog.print(strHZeit);                      // schreibe den String ADIF  time
  myLog.println(F("<eor>"));                     // schreibe den String ADIF  eor = end of Record
  myLog.close();                              // schließen der Datei
  //
  strHBand = " ";            // löschen des String Band und mit Leerzeichen belegen für neue Eingabe
  //
  boSpeichern = true;        // Rücksetzen der Variable Speichern auf true,
  //                            wenn ein Rufzeichen mit weniger als 6 Stellen mit Enter gespeichert wurde, Enter setzt Speichern auf false
  //
  lcd.clear();               // löschen des LCD Displays
  return;                    // Rückkehr ins Hauptprogramm loop()
}

//
